div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.card-title.mb-0.text-gray-800
      span.fas.fa-boxes.mr-2
      span Información General
div.form-row
  div.form-group.col-12.col-lg-3
    img([src]="tManejarImagen.ObtenerImagen()", alt="", for="flArchivo").card-img-top
  div.form-group.col-12.col-lg-9.custom-file
    input(#flArchivo="", type="file", [disabled]="BloquearImagen()", accept=".jpg", (change)="tManejarImagen.Cargar_Archivo($event)").custom-file-input#flArchivo
    label(for="flArchivo").custom-file-label Seleccionar archivo
div.form-row
  div.form-group.col-12
    label.form-label.h6 Clase
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-sitemap
      select((change)="Seleccionar_Clasificacion1()",
              [(ngModel)]="tClasificacion1Actual",
              size-select="sm").ControlInput--Select
        option(*ngFor="let tClasificacion1 of tClasificaciones1",
            [ngValue]="tClasificacion1",
            [disabled]="!tNuevo") [ {{tClasificacion1.Codclasificacion1}} ] {{tClasificacion1.Descripcion}}
      div.ControlInput--ContenedorBoton
        button(type="button",
                (click)="AbrirModalClasificacion1()",
                [disabled]="!tNuevo").ControlInput--ContenedorBoton-Boton
          i.fas.fa-search
div.form-row
  div.form-group.col-12
    label.form-label.h6 Grupo
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-sitemap
      select((change)="Seleccionar_Clasificacion2()",
            [(ngModel)]="tClasificacion2Actual",
            size-select="sm").ControlInput--Select
        option(*ngFor="let tClasificacion2 of tClasificacion1Actual.LClasificacion2",
                [ngValue]="tClasificacion2",
                [disabled]="!tNuevo") [ {{tClasificacion2.Codclasificacion2}} ] {{tClasificacion2.Descripcion}}
      div.ControlInput--ContenedorBoton
        button(type="button",
                (click)="AbrirModalClasificacion2()",
                [disabled]="!tNuevo").ControlInput--ContenedorBoton-Boton
          i.fas.fa-search
div.form-row
  div.form-group.col-12
    label.form-label.h6 Categoria
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-sitemap
      select([(ngModel)]="tClasificacion3Actual",
              (change)="Seleccionar_Clasificacion3()",
              size-select="sm").ControlInput--Select
        option(*ngFor="let tClasificacion3 of tClasificacion2Actual.LClasificacion3",
                [ngValue]="tClasificacion3",
                [disabled]="!tNuevo") [ {{tClasificacion3.Codclasificacion3}} ] {{tClasificacion3.Descripcion}}
      div.ControlInput--ContenedorBoton
        button(type="button",
                (click)="AbrirModalClasificacion3()",
                [disabled]="!tNuevo").ControlInput--ContenedorBoton-Boton
          i.fas.fa-search
